﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 통지 모델
    /// </summary>
    public class NotificationModel : DependencyObject
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Dependency Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 제목 속성 - CaptionProperty

        /// <summary>
        /// 제목 속성
        /// </summary>
        public static readonly DependencyProperty CaptionProperty = DependencyProperty.Register
        (
            "Caption",
            typeof(string),
            typeof(NotificationModel),
            new PropertyMetadata(string.Empty)
        );

        #endregion
        #region 내용 속성 - ContentProperty

        /// <summary>
        /// 내용 속성
        /// </summary>
        public static readonly DependencyProperty ContentProperty = DependencyProperty.Register
        (
            "Content",
            typeof(string),
            typeof(NotificationModel),
            new PropertyMetadata(string.Empty)
        );

        #endregion
        #region 시간 속성 - TimeProperty

        /// <summary>
        /// 시간 속성
        /// </summary>
        public static readonly DependencyProperty TimeProperty = DependencyProperty.Register
        (
            "Time",
            typeof(string),
            typeof(NotificationModel),
            new PropertyMetadata(string.Empty)
        );

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 제목 - Caption

        /// <summary>
        /// 제목
        /// </summary>
        public string Caption
        {
            get
            {
                return (string)GetValue(CaptionProperty);
            }
            set
            {
                SetValue(CaptionProperty, value);
            }
        }

        #endregion
        #region 내용 - Content

        /// <summary>
        /// 내용
        /// </summary>
        public string Content
        {
            get
            {
                return (string)GetValue(ContentProperty);
            }
            set
            {
                SetValue(ContentProperty, value);
            }
        }

        #endregion
        #region 시간 - Time

        /// <summary>
        /// 시간
        /// </summary>
        public string Time
        {
            get
            {
                return (string)GetValue(TimeProperty);
            }
            set
            {
                SetValue(TimeProperty, value);
            }
        }

        #endregion
    }
}